<!--
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
-->
<!-- 
    　ﾟ　　。　　　。　　　・　　゜　..　　。　　　　・　　　。　　　*　　　 -──-
  　｡　　・　　　　　　　　.　　　。　　　　　　　　ﾟ　　。　　　　　　　　／　　,´｀ _
　　　・　　。　　ﾟ　　　　．　　　。　　　　ﾟ　　　・　　　　　　　・　　/　/｀v'　　　`
 　　。　　　　　　　　　　。　　　　　　　　　。　　　　　　　・　　　　ﾄ-'　　　　｀ヽﾉ
　。　　・　　ﾟ　（Ｏ）　　　　　　。　　　　　　　　。　　　　　　　　　|__　　/｀)　　_
　　 　 　　　　__-=-_　　　　　　　　　　　　ﾟ　　　　　　　　　　　　 ＼ヽ　u'　　/
 　*　｡　　_.／‐|　 |‐＼_　　　ﾟ　　　。　　　　　　　。　　　　・　　　　ゝ､_　　　__
        n'/l ＜|　 |＞　l|n　　　　　　　　・　　　　　　　　　　。　　　　　　￣.
　。　 =[_]|（n__|冂|　ノ |[_]=　　　　　。　　　　　　　・　　　　　　ﾟ　　　．　　。 ﾟ
       /二l「][ﾋ三三]」/占〕〉　　　　　　　　　　　　　　　。　　　　　　　　　　　ﾟ
　　ﾟ　 ,┌-| /ﾆﾆ/l７l‐-'-l､　　　　　＿＿,　-‐‐-　-───- ､__, -─--- ､_,､＿
 ￣｀／´Ｌ」|/ﾆﾆ/ | 」ﾆｺ」__＼ -´￣　　　　　　,⊂⊃､　　　　　　　　´｀　､　 ⊂⊃
　  /￣／｀'‐､|, '　_|/ヽ　 ＼｀ヽ　　　　　　　　　""゛゛　　　　　__ -　　　　- __　　_
  /／　__ . 　'|｀￣ ￣　_　__ ヽ|　　　-─　　　　-‐-　　　。　　　,⊂⊃､
  -'‐--　　　--|‐‐　　　　　　__-l‐___　　　　,=--､　　　　　　　｡　　""゛゛　　_ _　__,
　　,‐ｭ　　　　　.　o　　　　　　　　　｡　　　　　　　　　　　-　　　　　　　　_　　　　_
　　　　　　　　　　　-= ---　　　。　　　''　　　　-‐‐- ､　　__　　　,o､_
　　. ..,　　-=-　　　　　　　　　　　　　　,-ｭ__　　　　　　　　　　　　　　　　'´｀ ､
　γ´￣｀ヽ　　　　　　　, -ｭ､　　　　_　　　　　　　　　__　　　._ .,　　　　__
　ﾉ〉‐--‐'Λ＼　　　-=‐‐-　　　　　　　　　　γ´￣｀ヽ　　　　　　　=--　　o　__ _
-->
<!DOCTYPE html>
<html>
    
    <head>
    <meta charset="utf-8">
    <link rel="stylesheet" href="./style.css">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <title>ホーム</title>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    <!-- highlight -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.15.10/styles/atom-one-dark.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/10.1.2/highlight.min.js"></script>
    <script>hljs.initHighlightingOnLoad();</script>
    <!-- <pre><code>コード</code></pre> -->
</head>
    
    <body style="background-color:azure">
        <!-- ヘッダー -->
        <header>
            <div class="d-flex bd-highlight mb-3">
                <div class="mr-auto p-2 bd-highlight">
                    <a class="home" href="/home.html">Proroad</a>
                </div>
                <div class="p-2 bd-highlight">
                    <form class="form-inline">
                        <input class="form-control mr-sm-1 " type="search" placeholder="Search" aria-label="Search">
                        <button class="btn btn-outline-success" type="submit">🔍</button>
                    </form>
                </div>
                <div class="p-2 bd-highlight">
                    <form class="form-inline" action="/login.html">
                        <button class="btn btn-outline-info" type="submit">ログイン・サインイン</button>
                    </form>
                </div>
            </div>
        </header>
        
        <!-- 真ん中　-->
        <div id="bodder">
            
            <!-- 左メニュー -->
            <div id="leftmenu">
            <h2>▼メニュー▼</h2>
                <div class="accordion" id="accordionExample">
                    <div class="card" style="background-color: #bef3ff">
                        <div class="card-header" id="headingOne">
                            <h2 class="mb-0">
                                <button class="btn btn-secondary btn-block" type="button" data-toggle="collapse" data-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne" >
                                    検索▼
                                </button>
                            </h2>
                        </div>
                        <div id="collapseOne" class="collapse show" aria-labelledby="headingOne" data-parent="#accordionExample">
                            <div class="card-body" style="background-color: #a1c9ff">
                                <form action="/list.html">
                                    <div class="container">
                                        <div class="row">
                                            <input class="form-control col-lg-10" type="search" placeholder="Search" aria-label="Search">
                                            <button class="btn btn-outline-success col-lg-2" type="submit">🔍</button>
                                        </div>
                                    </div>     
                                    <br>
                                    <a class="btn btn-primary" data-toggle="collapse" href="#collapse1" role="button" aria-expanded="false" aria-controls="collapse1" style="width: 100%;">
                                        <h4>カテゴリー選択</h4></a>
                                    <div class="collapse" id="collapse1">
                                        <div class="card card-body" style="padding: 5% 0% 5% 0%;">
                                            <div class="container" >
                                                <div class="selectbox">
                                                    <label class="category"><input type="checkbox" value="1" style="width: 10%;"> Java</label>
                                                    <label class="category"><input type="checkbox" value="1" style="width: 10%;"> HTML/CSS</label>
                                                    <label class="category"><input type="checkbox" value="1" style="width: 10%;"> C++</label>
                                                    <label class="category"><input type="checkbox" value="1" style="width: 10%;"> C#</label>
                                                    <label class="category"><input type="checkbox" value="1" style="width: 10%;"> SQL</label>
                                                    <label class="category"><input type="checkbox" value="1" style="width: 10%;"> Python</label>
                                                    <label class="category"><input type="checkbox" value="1" style="width: 10%;"> JavaSctipt</label>
                                                    <label class="category"><input type="checkbox" value="1" style="width: 10%;"> C</label>
                                                    <label class="category"><input type="checkbox" value="1" style="width: 10%;"> PHP</label>
                                                    <label class="category"><input type="checkbox" value="1" style="width: 10%;"> Kotlin</label>
                                                    <label class="category"><input type="checkbox" value="1" style="width: 10%;"> Swift</label>
                                                    <label class="category"><input type="checkbox" value="1" style="width: 10%;"> Error</label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <p></p>
                                    <a class="btn btn-primary" data-toggle="collapse" href="#collapse2" role="button" aria-expanded="false" aria-controls="collapse2" style="width: 100%;">
                                        <h5>小カテゴリー選択</h5></a>
                                    <div class="collapse" id="collapse2">
                                        <div class="card card-body">
                                            <div class="container">
                                                <div class="selectbox">
                                                    <label class="category"><input type="checkbox" value="1" style="width: 10%;"> Assembly</label>
                                                    <label class="category"><input type="checkbox" value="1" style="width: 10%;"> TypeScript</label>
                                                    <label class="category"><input type="checkbox" value="1" style="width: 10%;"> GO</label>
                                                    <label class="category"><input type="checkbox" value="1" style="width: 10%;"> COBOL</label>
                                                    <label class="category"><input type="checkbox" value="1" style="width: 10%;"> R</label>
                                                    <label class="category"><input type="checkbox" value="1" style="width: 10%;"> Git</label>
                                                    <label class="category"><input type="checkbox" value="1" style="width: 10%;"> 雑談</label>
                                                    <label class="category"><input type="checkbox" value="1" style="width: 10%;"> エディター</label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <p></p>
                                    <a class="btn btn-primary" data-toggle="collapse" href="#collapse3" role="button" aria-expanded="false" aria-controls="collapse3"   style="width: 100%;">
                                    <h5>タグ選択</h5>
                                    </a>
                                    <div class="collapse" id="collapse3">
                                        <div class="card card-body">
                                            <div class="container">
                                                <div class="selectbox">
                                                    <label class="category"><input type="checkbox" value="1" style="width: 10%;"> Assembly</label>
                                                    <label class="category"><input type="checkbox" value="1" style="width: 10%;"> TypeScript</label>
                                                    <label class="category"><input type="checkbox" value="1" style="width: 10%;"> GO</label>
                                                    <label class="category"><input type="checkbox" value="1" style="width: 10%;"> COBOL</label>
                                                    <label class="category"><input type="checkbox" value="1" style="width: 10%;"> R</label>
                                                    <label class="category"><input type="checkbox" value="1" style="width: 10%;"> Git</label>
                                                    <label class="category"><input type="checkbox" value="1" style="width: 10%;"> 雑談</label>
                                                    <label class="category"><input type="checkbox" value="1" style="width: 10%;"> エディター</label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            <br>
        </div>
            
            <div id="right">    
                <!-- サイトマップ的な　-->
                <nav aria-label="breadcrumb">
            <ol class="breadcrumb" style="">
                <li class="breadcrumb-item"><a href="/home.html">Home</a></li>
                <li class="breadcrumb-item"><a href="/page-languageJava.html">Java</a></li>
                <li class="breadcrumb-item active" aria-current="page">Page</li>
            </ol>
        </nav>
            
                <!-- Main -->
                <main style="position: relative">
        
        <!-- 日付 -->
        <div class="datecorner">2020/07/28</div>
        
        <!-- タイトル -->
            <h1 class>Javaについて</h1>
        <!-- 説明 -->
            <p class="content">このサイトは私、ねおが学んだことを適当にメモしていくサイトです。</p>
        <!-- メイン中身 -->
            <h4 class="content">
                <pre>

Java（ジャヴァ）は、クラスベースのオブジェクト指向の、実装の依存関係をできるだけ少なくするように設計された汎用プログラミング言語である。これは、アプリケーション開発者が一度書いたらどこでも実行できるようにすること(WORA:write once, run anywhere)[9]を目的としている。つまり、コンパイルされたJavaコードは、再コンパイルを必要とせずにJavaをサポートするすべてのプラットフォーム上で実行できる[10]。Javaアプリケーションは、通常、基礎となるコンピュータアーキテクチャに関係なく、あらゆるJava仮想マシン（JVM）上で実行できるバイトコードにコンパイルされる。Javaの構文はCおよびC ++に似ているが、どちらよりも低レベルの機能が少ない。2019年の時点で、GitHub [11] [12]によると、Javaは、特にクライアント/サーバー型のWebアプリケーションで使用されている最も人気のあるプログラミング言語の1つであり[11] [13]、900万人の開発者がいると報告されている[14]。

Javaは元々、サン・マイクロシステムズ（その後Oracleに買収された）のジェームズ・ゴスリンによって開発され、Sun MicrosystemsのJavaプラットフォームのコアコンポーネントとして1995年にリリースされた。オリジナルのJavaコンパイラやリファレンス実装のJavaコンパイラ、仮想マシン、クラスライブラリは、もともとSunが独占的なライセンスでリリースしていた。2007年5月の時点では、Java Community Processの仕様に準拠して、SunはそのJava技術のほとんどをGNU General Public Licenseの下で再ライセンスしていた。一方で、GNU Compiler for Java (バイトコードコンパイラ)、GNU Classpath (標準ライブラリ)、IcedTea-Web (アプレット用ブラウザプラグイン)など、Sunの技術の代替実装が開発されてる。

最新バージョンは、2020年3月にリリースされたJava 14と、2018年9月25日にリリースされ現在サポートされている長期サポート（LTS）版のJava 11である。オラクルは、レガシーであるJava 8 LTSについては商用利用向けに2019年1月に最後の無料公開アップデートをリリースしたが、一方で少なくとも2020年12月までは個人利用向けの公開アップデートでJava 8をサポートする予定である。オラクル（およびその他）は、未解決のセキュリティ問題による深刻なリスクがあるため、古いバージョンのJavaをアンインストールすることを強く推奨している[15]。Java 9、10、12、13はサポートされなくなったため、オラクルはユーザーに最新バージョン（現在はJava 14）またはLTSリリース版に直ちに移行するようアドバイスしている。
</pre>
            </h4>
            <pre class="content"><code style="border-radius: 10px 10px 10px 10px; padding: 15px 30px;"> 
&lt;head>
&lt;meta charset="utf-8">
&lt;link rel="stylesheet" href="./style.css">
&lt;link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
&lt;title>ログイン・サインイン&lt;/title>
&lt;!-- Required meta tags -->
&lt;meta charset="utf-8">
&lt;meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

&lt;!-- Bootstrap CSS -->
&lt;link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

&lt;!-- highlight -->
&lt;link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.15.10/styles/atom-one-dark.min.css">
&lt;script src="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/10.1.2/highlight.min.js">&lt;/script>
&lt;script>hljs.initHighlightingOnLoad();&lt;/script>
&lt;!-- &lt;pre>&lt;code>コード&lt;/code>&lt;/pre> -->
&lt;/head>
            </code></pre>
        <h4>ありがとうございました。</h4>


        </main>
            
                <!-- 掲示板　-->
                <div class="page_forum">
            <div class="comment" style="position: relative">
                            <div style="display: flex; padding-bottom: 10px; height: 60px; align-items: center;">
                                <div style="position: absolute;top:5px; left:5px;"><!--コメント番号-->
                                    1
                                </div>
                                <div style="width: 7%;">
                                    <span class="material-icons" style="font-size: 40px">supervised_user_circle</span>
                                </div>
                                <div style="width: 53%;">
                                    名無しさん
                                </div>
                                <div style="width: 20%;">
                                    ID:21401240iwda
                                </div>
                                <div style="width: 20%;text-align: right;">
                                    2020/02/02 01:14:12
                                </div>
                            </div>
                            <div><!--ここはcontentを組み込める -->
                                <div class="content">
                                    <pre style="font-weight:bolder; font-size: 24px;">始めたたてでまだまだ初心者なんですけどEclipseのデバッグの仕方が分かりません。
どうしたらいいでしょうか？</pre>
                                    <pre style="font-weight:bolder; font-size: 18px;"><code>for(int i = 0; i < 100; i++)
         system.out.plintln(i);</code></pre>
                                </div>
                            </div>
                        </div>
                     <div class="comment_update">
                        <h2>コメントの投稿</h2>
                        <form action="/page.html">
                        <!-- 日付 -->
                        <div class="datecorner">日付：2020/07/28</div>   

                        <!-- メイン中身 -->
                        <div class="content_add">
                        <form>
                            
                                <div style="width: 35%;">
                                    入力欄の追加
                                </div>
                                <div style="width: 25%;">
                                    コンテンツ：<select type="text" autocomplete="off" style="width: 100px">
                                    <option value="1">テキスト</option>
                                    <option value="2">コード</option>
                                    <option value="3">画像</option>
                                    <option value="4">URL</option>
                                    </select>
                                </div>
                                <div style="width: 25%;">
                                    表示順：<input type="number" min="1" placeholder="1" style="width: 50px">
                                </div>
                                <div style="width: 10%;">
                                    <button >追加</button>
                                </div>
                                <label class="content_help">
                                    <span class="material-icons">
help_outline
</span>
                                    <input type="checkbox" name="checkbox">
                                    <div id="content_add_question">入力欄を追加します。表示順は上から何番目かを決めます。</div>
                                </label>
                        </form>
                        </div>
                        <div class="content">
                        <form>
                            <div style="display: flex">
                                <div style="width: 75%;">
                                    テキストを入力して下さい。
                                </div>
                                <div style="width: 15%;">
                                    表示順：<input type="number" min="1" placeholder="1" style="width: 50px">
                                </div>
                                <div style="width: 10%; text-align: right">
                                    <button >削除</button>
                                </div>
                            </div>
                            <textarea style="width: 100%;height: 100%; min-height: 200px;" wrap="soft";></textarea>
                        </form>    
                    </div>
                        <div class="content">
                        <form>
                            <div style="display: flex">
                                <div style="width: 75%;">
                                    コードを入力して下さい。
                                </div>
                                <div style="width: 15%;">
                                    表示順：<input type="number" min="1" placeholder="1" style="width: 50px">
                                </div>
                                <div style="width: 10%; text-align: right">
                                    <button >削除</button>
                                </div>
                            </div>
                            <pre><code>
                                <textarea style="width: 100%;height: 100%; min-height: 200px;" wrap="soft";></textarea>
                            </code></pre>
                        </form>
                    </div>
                        <button type="submit">この内容でコメントを投稿する。</button>
                    </form>
                    </div>
               
        </div>
            </div>
        </div>
        
        <!-- フッター -->
        <footer>
            Proroad
            <br>
            <a href="#">TOP</a>
        </footer>
            
        <!-- Optional JavaScript -->
        <!-- jQuery first, then Popper.js, then Bootstrap JS -->
        <div>
            <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
            <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
            <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
        </div>
</body>

</html>